<nz-layout>
    <nz-content class="no-margin">
        <div class="">
            <app-img-header></app-img-header>
        </div>
    </nz-content>


    <nz-content>
        <span id="top-header"></span>
        <div class="inner-content">
            <!-- ===================== -->
            <!-- Display SUBJECT Forum -->
            <!-- ===================== -->
            <div nz-row>
                <div nz-col nzSpan="24">
                    <nz-page-header>
                        <nz-avatar nz-page-header-avatar
                            nzSrc="https://avatars0.githubusercontent.com/u/22736418?s=88&v=4"> </nz-avatar>
                        <nz-page-header-title>Get Error 530 5.7.0 Authentication Required when sending email using
                            Django Python</nz-page-header-title>
                        <nz-page-header-content>
                            <div class="wrap">
                                <div class="content">
                                    <div class="content">
                                        <p nz-paragraph>
                                            Ant Design interprets the color system into two levels: a system-level color
                                            system and a product-level
                                            color system.
                                        </p>
                                        <p nz-paragraph>
                                            Ant Design's design team preferred to design with the HSB color model, which
                                            makes it easier for
                                            designers to have a clear psychological expectation of color when adjusting
                                            colors, as well as
                                            facilitate communication in teams.
                                        </p>
                                        <p class="post-meta right"><span class="timestamp"><i class="fa fa-clock-o"></i>
                                            27 Janv. 2020</span></p>
                                        <p class="content-link">
                                            <nz-page-header-tags>
                                                <nz-tag [nzColor]="'#f50'">JavaScript</nz-tag>
                                                <nz-tag [nzColor]="'#2db7f5'">Angular</nz-tag>
                                                <nz-tag [nzColor]="'#87d068'">HTML</nz-tag>
                                                <nz-tag [nzColor]="'#108ee9'">ERROR</nz-tag>
                                            </nz-page-header-tags>
                                        </p>
                                    </div>
                                </div>
                                <div class="hidden-mobile extra-content">
                                    <img src="https://gw.alipayobjects.com/mdn/mpaas_user/afts/img/A*KsfVQbuLRlYAAAAAAAAAAABjAQAAAQ/original"
                                        alt="content" />
                                </div>
                            </div>
                        </nz-page-header-content>
                    </nz-page-header>
                </div>
            </div>

            <!-- ===================== -->
            <!-- Display COMMENT Forum -->
            <!-- ===================== -->
            <div nz-row>
                <div nz-col nzSpan="24">
                    <nz-comment nzAuthor="Han Solo" [nzDatetime]="time">
                        <nz-avatar nz-comment-avatar nzIcon="user"
                            nzSrc="//zos.alipayobjects.com/rmsportal/ODTLcjxAfvqbxHnVXCYX.png"></nz-avatar>
                        <nz-comment-content>
                            <p>
                                We supply a series of design principles, practical patterns and high quality design
                                resources (Sketch and
                                Axure), to help people create their product prototypes beautifully and efficiently.
                            </p>
                        </nz-comment-content>
                        <nz-comment-action>
                            <i nz-tooltip nzTitle="Like" nz-icon nzType="like"
                                [theme]="likes > 0 ? 'twotone' : 'outline'" (click)="like()"></i>
                            <span class="count like">{{ likes }}</span>
                        </nz-comment-action>
                        <nz-comment-action>
                            <i nz-tooltip nzTitle="Dislike" nz-icon nzType="dislike"
                                [theme]="dislikes > 0 ? 'twotone' : 'outline'" (click)="dislike()"></i>
                            <span class="count dislike">{{ dislikes }}</span>
                        </nz-comment-action>
                        <nz-comment-action>Reply to</nz-comment-action>
                    </nz-comment>
                </div>
            </div>

            <!-- ===================== -->
            <!-- Display Reply Forum -->
            <!-- ===================== -->
            <div nz-row>
                <div nz-col nzSpan="24">
                    <nz-list *ngIf="data.length" [nzDataSource]="data" [nzRenderItem]="item" [nzItemLayout]="'horizontal'">
                        <ng-template #item let-item>
                          <nz-comment [nzAuthor]="item.author" [nzDatetime]="item.displayTime">
                            <nz-avatar nz-comment-avatar nzIcon="user" [nzSrc]="item.avatar"></nz-avatar>
                            <nz-comment-content>
                              <p>{{ item.content }}</p>
                            </nz-comment-content>
                          </nz-comment>
                        </ng-template>
                      </nz-list>
                      <nz-comment>
                        <nz-avatar nz-comment-avatar nzIcon="user" [nzSrc]="user.avatar"></nz-avatar>
                        <nz-comment-content>
                          <nz-form-item>
                            <textarea [(ngModel)]="inputValue" nz-input rows="4"></textarea>
                          </nz-form-item>
                          <nz-form-item>
                            <button nz-button nzType="primary" [nzLoading]="submitting" [disabled]="!inputValue" (click)="handleSubmit()">
                              Publier commentaire
                            </button>
                          </nz-form-item>
                        </nz-comment-content>
                      </nz-comment>
                </div>
            </div>
        </div>
    </nz-content>
</nz-layout>